/*
	*
	* DesQDropDownPlugin.hpp - An interface for DropDown Plugins for DesQ
	*

	*
	*
	*
*/

#pragma once

#include <QString>
#include <QStringList>
#include <QWidget>

class DesQDropDownPlugin {
	public:

		virtual ~DesQDropDownPlugin() {};

		/* Name of the plugin */
		virtual QString name() = 0;

		/* Icon for the plugin */
		virtual QIcon icon() = 0;

		/* The plugin version */
		virtual QString version() = 0;

		/* The QWidget */
		virtual QWidget *widget( QWidget *parent ) = 0;
};

QT_BEGIN_NAMESPACE
	Q_DECLARE_INTERFACE( DesQDropDownPlugin, "org.DesQ.DropDown.Plugin" )
QT_END_NAMESPACE
